# InboxQuery

## AV. InboxQuery

#### new InboxQuery()

Source:
  - status.js, line 301

AV.InboxQuery defines a query that is used to fetch somebody's inbox statuses.

### Methods

#### inboxType(owner) → {AV.InboxQuery}

Source:
  - status.js, line 352

Sets the querying inbox type.default is 'default'.

##### Parameters:

Name | Type | Description
--- | --- | ---
`owner` | Object | The inbox type.

##### Returns:

Returns the query, so you can chain this call.

Type
  AV.InboxQuery

#### maxId(n) → {AV.InboxQuery}

Source:
  - status.js, line 334

Sets the maximal messageId of results。 This is useful for pagination. Default is zero that is no limition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`n` | Number | the mesage id.

##### Returns:

Returns the query, so you can chain this call.

Type
  AV.InboxQuery

#### owner(owner) → {AV.InboxQuery}

Source:
  - status.js, line 343

Sets the owner of the querying inbox.

##### Parameters:

Name | Type | Description
--- | --- | ---
`owner` | Object | The inbox owner.

##### Returns:

Returns the query, so you can chain this call.

Type
  AV.InboxQuery

#### sinceId(n) → {AV.InboxQuery}

Source:
  - status.js, line 323

Sets the messageId of results to skip before returning any results. This is useful for pagination. Default is zero.

##### Parameters:

Name | Type | Description
--- | --- | ---
`n` | Number | the mesage id.

##### Returns:

Returns the query, so you can chain this call.

Type
  AV.InboxQuery